//
//  GameScene.m
//  Packer
//
//  Created by Jason Hurt on 12/13/11.
//  Copyright (c) 2011 UNLV. All rights reserved.
//

#import "GameScene.h"
#import "SimpleAudioEngine.h"

@implementation GameScene

-(void) tick:(ccTime)dt {
    for(BaseLayer *layer in self.children) {
        [layer update:dt];
    }
}

-(id)init {
    self = [super init];
    if (self != nil) {
        // Background Layer
        BackgroundLayer *backgroundLayer = [BackgroundLayer node];
        [self addChild:backgroundLayer z:0];
        
        // Gameplay Layer
        GameplayLayer *gameplayLayer = [GameplayLayer node];
        [self addChild:gameplayLayer z:1];
        
        [self schedule: @selector(tick:)];
    }
    return self;
}

- (void) dealloc {
	[super dealloc];
}

@end
