//
//  Guy.m
//  Packer
//
//  Created by Jason Hurt on 12/16/11.
//  Copyright (c) 2011 UNLV. All rights reserved.
//

#import "Guy.h"
#import "Constants.h"

@implementation Guy

@synthesize guyRate, lastTouchGuyY, guyMoveAreaRect, isBeingDragged;

- (id)initWithSpriteFrameName:(NSString *)spriteFrameName {
    self = [super initWithSpriteFrameName:spriteFrameName];
    if(self) {
        isBeingDragged=NO;
        _halfGuysHeight = self.textureRect.size.height/2;
        guyMoveAreaRect = CGRectMake(60.0f, 35.0f, 160.0f, 708.0f);
        guyRate = NORMAL_GUY_RATE;
        [self setPosition:ccp(self.textureRect.size.width*0.5f+70.0f, self.textureRect.size.height*0.5f+120.0f)];
        lastTouchGuyY = 123.0f;
    }
    return self;
}

- (CGRect)adjustedBoundingBox {
    return CGRectMake(self.boundingBox.origin.x,
                      self.boundingBox.origin.y,
                      self.boundingBox.size.width+85.0,
                      self.boundingBox.size.height);
}

- (void)update:(ccTime)dt {
    //handle moving the guy
    if(self.lastTouchGuyY != self.position.y) {
        float delta = abs(self.lastTouchGuyY - self.position.y);
        if(delta > 1.0 && delta <= _halfGuysHeight) {
            self.position=ccp(self.position.x,
                              _halfGuysHeight+self.lastTouchGuyY);
            [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"guy_side.png"]];
        }
        else if (delta > _halfGuysHeight) {
            float guyDeltaY;
            if(_halfGuysHeight+self.lastTouchGuyY > self.position.y) {
                guyDeltaY = guyRate * dt;
                [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"guy_back.png"]];
            }
            else {
                guyDeltaY = guyRate * -dt;
                [self setDisplayFrame:[[CCSpriteFrameCache sharedSpriteFrameCache] spriteFrameByName:@"guy_front.png"]];
            }
            self.position = ccp(self.position.x,
                                self.position.y + guyDeltaY); 
        }
    }
}

- (void) dealloc {
	[super dealloc];
}


@end
