//
//  Home.m
//  Home
//
//  Created by Jennifer Wilhelm on 12/14/11.
//  Copyright 2011 Zappos. All rights reserved.
//

#import "Home.h"
#import "SimpleAudioEngine.h"
#import "GameScene.h"

@implementation Home

- (id)init {
    self = [super init];
    if (self) {
        // Need to purchase from http://www.playonloop.com/2010-music-loops/clouds-castle/
        [[SimpleAudioEngine sharedEngine] stopBackgroundMusic];
		[[SimpleAudioEngine sharedEngine] playBackgroundMusic:@"clouds-castle.mp3" loop:YES];
        
        CGSize ss = [[CCDirector sharedDirector] winSize];
        CCSprite *homeBackground = [CCSprite spriteWithFile:@"home_background.png"];
        
        [homeBackground setPosition: CGPointMake(ss.width/2, ss.height/2)];
        [self addChild:homeBackground z:0 tag:0];
    
        self.isTouchEnabled = YES;
        [[CCTouchDispatcher sharedDispatcher] addTargetedDelegate:self priority:0 swallowsTouches:YES];
    }
    
    return self;
}

- (void)backgroundDidMinimize:(id)sender {
    [[CCDirector sharedDirector] pushScene:[GameScene node]];
}

- (BOOL)ccTouchBegan:(UITouch *)touch withEvent:(UIEvent *)event {
    CCLOG(@"touch began");
    return YES; 
}

- (void)ccTouchEnded:(UITouch *)touch withEvent:(UIEvent *)event {
    CCScaleTo *scale = [[CCScaleTo alloc] initWithDuration:0.7f scale:.0005];
    id callback = [CCCallFuncN actionWithTarget:self selector:@selector(backgroundDidMinimize:)];
    [self runAction:[CCSequence actions: scale, callback, nil]];
    [scale release];
}


@end
