//
//  InventoryItem.h
//  Packer
//
//  Created by Jason Hurt on 12/15/11.
//  Copyright (c) 2011 UNLV. All rights reserved.
//

#import "cocos2d.h"

#define INVENTORY_ITEM_TYPE_TOP 1000
#define INVENTORY_ITEM_TYPE_BOTTOM 2000
#define INVENTORY_ITEM_TYPE_SHOE 3000
#define INVENTORY_ITEM_TYPE_ACCESSORY 4000

#define INV_COLOR_BLUE 10
#define INV_COLOR_GREEN 20
#define INV_COLOR_GREY 30
#define INV_COLOR_ORANGE 40
#define INV_COLOR_PINK 50
#define INV_COLOR_PURPLE 60
#define INV_COLOR_RED 70
#define INV_COLOR_TURQUOISE 80
#define INV_COLOR_YELLOW 90

#define INV_GENDER_MALE 10000
#define INV_GENDER_FEMALE 20000

#define BRAND_ECCO 10
#define BRAND_NIKE 20
#define BRAND_PUMA 30
#define BRAND_UGG 40

@interface InventoryItem : CCSprite {
}

@property (nonatomic,assign) int type;
@property (nonatomic,assign) int invColor;
@property (nonatomic,assign) int gender;
@property (nonatomic,assign) int brand;
@property (nonatomic,assign) BOOL isFallingOff;
@property (nonatomic,copy) NSString *brandName;
@property (nonatomic,copy) NSString *smallImage;
@property (nonatomic,copy) NSString *largeImage;
@property (nonatomic,copy) NSString *brandImage;

+ (int)calculateScore:(NSDictionary*)ensemble;
+ (InventoryItem*) randomInventoryItem;
- (void)makeSmall;
- (void)makeBig;
- (void)hideChildren;
- (void)showChildren;
@end
